GuideLab API

Get active orders by deadline

Lists active orders filtered by deadline urgency (overdue, today, tomorrow, or all). Returns paginated results with patient, clinic, and category info. Lab-only endpoint.

GET
/dashboard/operations

Lists active orders filtered by deadline urgency (overdue, today, tomorrow, or all). Returns paginated results with patient, clinic, and category info. Lab-only endpoint.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

deadline?string
Default"all"

Value in

  • "overdue"
  • "today"
  • "tomorrow"
  • "all"
page?integer
Range1 <= value
Default1
limit?integer
Range1 <= value <= 100
Default20
status?string
Length1 <= length <= 64

Response Body

application/json

curl -X GET "https://example.com/dashboard/operations"
{  "data": [    {      "id": "string",      "orderNumber": "string",      "patient": {        "firstName": "string",        "lastName": "string"      },      "status": "string",      "practice": {        "name": "string"      },      "doctor": "string",      "category": "string",      "dueDate": "string",      "createdAt": "string"    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}
Empty